using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("TransactionDeclineReasons")]
    public class TransactionDeclineReason
    {
        [Column("TransactionDeclineReasonID")]
        public int TransactionDeclineReasonID { get; set; }

        [Column("TransactionID")]
        public int TransactionID { get; set; }

        [Column("Reason")]
        public string Reason { get; set; }

        [Column("LawyerID")]
        public int LawyerID { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("TransactionDeclineReason_UID")]
        public Guid? TransactionDeclineReason_UID { get; set; }
    }
}